Subject: bug#35433: 27.0.50; 'function' docstring: tell more about advantages?

From: Michael Heerdegen <[email-masked]>
Date: Sat, 27 Apr 2019 10:30:28 +0200

Eli Zaretskii <[email-masked]> writes:

> I think these details belong first and foremost to the ELisp manual.
> We could also add a shortened version to the doc string, but I'd like
> first to see the full version in the manual.

Maybe we could just change the wording in the docstring to something
like

  "In byte compilation, `function' causes its argument to be handled by
  the by compiler."

and tell the rest in the manual.  Currently it only says "compiling the
argument" which only covers the lambda-form case, and this is even the
less interesting case, because lambda function-quotes itself nowadays.

Michael.